#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	String
%define		pnam	Similarity
Summary:	String::Similarity - calculate the similarity of two strings
Summary(pl.UTF-8):	String::Similarity - obliczanie podobieństwa dwóch łańcuchów
Name:		perl-String-Similarity
Version:	1.04
Release:	16
# C files say GPL v2+
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	84936c1d393e92680a5d58039dcb9fd9
URL:		https://metacpan.org/release/String-Similarity
%{?with_tests:BuildRequires:	perl-Encode}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The 'similarity'-function calculates the similarity index of its two
arguments. A value of '0' means that the strings are entirely
different. A value of '1' means that the strings are identical.
Everything else lies between 0 and 1 and describes the amount of
similarity between the strings.

%description -l pl.UTF-8
Funkcja similarity oblicza indeks podobieństwa pomiędzy dwoma
parametrami. Wartość '0' oznacza, że łańcuchy są całkowicie różne.
Wartość '1' oznacza, że są identyczne. Wszystko inne zawiera się
między 0 a 1 i opisuje stopień podobieństwa pomiędzy łańcuchami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/String/Similarity.pm
%dir %{perl_vendorarch}/auto/String/Similarity
%attr(755,root,root) %{perl_vendorarch}/auto/String/Similarity/Similarity.so
%{_mandir}/man3/String::Similarity.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-String-Similarity.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 6742fce
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 627f840
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> eda0f68
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 636352e
- rebuild with perl 5.32

* Tue May 05 2020 Jakub Bogusz <qboosh@pld-linux.org> e0c87b8
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 4c6a94d
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 86231df
- rebuild with perl 5.30.0
- release 12 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 9f70cd2
- rebuild with perl 5.28.0
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7b75636
- perl req/prov fix
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6a684a0
- rebuild with perl 5.26
- release 9 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> fd55bb4
- rebuild with perl 5.24.0
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> d58e438
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> e36143e
- x32 rebuild
- release 6 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 6637aa4
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e538eb0
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 101359c
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4bb2246
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> c74c59d
- more verbose files

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> bbaf0c8
- tests BR: perl-Encode

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 12c13db
- release 2

